<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.Barcodes</name>
    </assembly>
    <members>
        <member name="T:Keysystems.Barcodes.BarCodeOptions">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeOptions.None">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeOptions.UseErrorLevel">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeOptions.FixedDataRows">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeOptions.FixedDataColumns">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeOptions.FixedRectangle">
            <summary>
            
            </summary>
        </member>
        <member name="T:Keysystems.Barcodes.BarCodeImageFormat">
            <summary>
            Wrapper над ImageFormat для COM
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Bmp">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Emf">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Gif">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Icon">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Jpeg">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Png">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Tiff">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageFormat.Wmf">
            <summary>
            
            </summary>
        </member>
        <member name="T:Keysystems.Barcodes.BarCodeImageRotation">
            <summary>
            Поворот картинки штрихкода
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageRotation.None">
            <summary>
            Без поворота
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageRotation.Rotation90">
            <summary>
            Поворот на 90 градусов по часовой стрелке
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageRotation.Rotation180">
            <summary>
            Поворот на 180 градусов по часовой стрелке
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodeImageRotation.Rotation270">
            <summary>
            Поворот на 270 градусов по часовой стрелке
            </summary>
        </member>
        <member name="T:Keysystems.Barcodes.IBarCode">
            <summary>
            
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.IBarCode.SaveImage(System.String,Keysystems.Barcodes.BarCodeImageFormat)">
            <summary>
            Сохраняет полученный штрихкод в заданном формате
            </summary>
            <param name="path">Путь к файлу</param>
            <param name="format">Формат файла</param>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.Image">
            <summary>
            Картинка с штрих-кодом
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.Options">
            <summary>
            Опции генерации штрихкода
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.Rotation">
            <summary>
            Поворот картинки штрихкода (по часовой стрелке)
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.PhysicalHeight">
            <summary>
            Высота картинки в миллиметрах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.PhysicalWidth">
            <summary>
            Ширина картинки в миллиметрах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.PixelHeight">
            <summary>
            Высота полученной картинки в пикселах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.PixelWidth">
            <summary>
            Ширина полученной картинки в пикселах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.IBarCode.Text">
            <summary>
            Кодируемый текст
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417SegmentList.GenerateCodewords">
            <summary>
            Генерирует набор кодовых слов
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417SegmentList.BreakString">
            <summary>
            Разбивает текст на сегменты
            </summary>
        </member>
        <member name="T:Keysystems.Barcodes.BarCode">
            <summary>
            Абстрактный класс работы с генераторами штрихкодов
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._Bitmap">
            <summary>
            Картинка с штрих-кодом
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._Dirty">
            <summary>
            Признак соответствия картинки и кодируемого текста
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._Options">
            <summary>
            Опции генерации штрихкода
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._PhysicalHeight">
            <summary>
            Высота картинки в миллиметрах
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._PhysicalWidth">
            <summary>
            Ширина картинки в миллиметрах
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._PixelHeight">
            <summary>
            Высота полученной картинки в пикселах
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._PixelWidth">
            <summary>
            Ширина полученной картинки в пикселах
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._Rotation">
            <summary>
            Поворот картинки штрихкода (по часовой стрелке)
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCode._Text">
            <summary>
            Кодируемый текст
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode.SaveImage(System.String,Keysystems.Barcodes.BarCodeImageFormat)">
            <summary>
            Сохраняет полученный штрихкод в заданном формате
            </summary>
            <param name="path">Путь к файлу</param>
            <param name="format">Формат файла</param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode.#ctor">
            <summary>
            Конструктор по умолчанию
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode.#ctor(System.String)">
            <summary>
            Создание объекта и установка кодируемого текста
            </summary>
            <param name="text">Кодируемый текст</param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode.CheckText(System.String)">
            <summary>
            Проверяет текстовую строку на допустимость в штрихкоде
            </summary>
            <param name="text"></param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode.GetBarcodeImage">
            <summary>
            Возвращает сгенерированную картинку с штрихкодом
            </summary>
            <returns></returns>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.Options">
            <summary>
            Опции генерации штрихкода
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.Rotation">
            <summary>
            Поворот картинки штрихкода (по часовой стрелке)
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.Text">
            <summary>
            Кодируемый текст
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.PhysicalWidth">
            <summary>
            Ширина картинки в миллиметрах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.PhysicalHeight">
            <summary>
            Высота картинки в миллиметрах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.PixelWidth">
            <summary>
            Ширина полученной картинки в пикселах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.PixelHeight">
            <summary>
            Высота полученной картинки в пикселах
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.Image">
            <summary>
            Картинка с штрих-кодом
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCode.IsDirty">
            <summary>
            Возвращает true, если картинка и текст рассинхронизированы
            </summary>
        </member>
        <member name="T:Keysystems.Barcodes.BarCode128">
            <summary>
            Summary description for BarCode128.
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode128.#ctor">
            <summary>
            Конструктор по умолчанию
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode128.#ctor(System.String)">
            <summary>
            Создание объекта и установка кодируемого текста
            </summary>
            <param name="text">Кодируемый текст</param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode128.EncodeString(System.String)">
            <summary>
            Кодирует строку в последовательность кодов
            </summary>
            <param name="string_data"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode128.CheckText(System.String)">
            <summary>
            Проверяет текстовую строку на допустимость в штрихкоде
            </summary>
            <param name="text"></param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCode128.GetBarcodeImage">
            <summary>
            Возвращает сгенерированную картинку с штрихкодом
            </summary>
            <returns></returns>
        </member>
        <member name="T:Keysystems.Barcodes.BarCodePDF417">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417.ABSOLUTE_MAX_TEXT_SIZE">
            <summary>
            Максимальная длина кодируемого текста
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417.MAX_DATA_CODEWORDS">
            <summary>
            Максимальный размер сгенерированной кодовой последовательности
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417.TEXT_MODE">
            <summary>
            Значение маркера "Текстовый режим"
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417._CodeColumns">
            <summary>
            Количество столбцов данных в штрихкоде
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417._CodeRows">
            <summary>
            Количество строк данных в штрихкоде
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417._CodeWords">
            <summary>
            Сгенерированная кодовая последовательность
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417._CodeWordsCount">
            <summary>
            Размер сгенерированной кодовой последовательности
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417._ErrorLevel">
            <summary>
            Установленный или вычисленный уровень коррекции ошибок
            </summary>
        </member>
        <member name="F:Keysystems.Barcodes.BarCodePDF417._TextData">
            <summary>
            ASCII представление кодируемой строки
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.#ctor">
            <summary>
            Конструктор по умолчанию
            </summary>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.#ctor(System.String)">
            <summary>
            Создание объекта и установка кодируемого текста
            </summary>
            <param name="text">Кодируемый текст</param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.MaxPossibleErrorLevel(System.Int32)">
            <summary>
            
            </summary>
            <param name="remain"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.OutCodeword17(System.Drawing.Graphics,System.Int32,System.Int32@,System.Int32)">
            <summary>
            
            </summary>
            <param name="g"></param>
            <param name="codeword"></param>
            <param name="current_column"></param>
            <param name="current_row"></param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.OutCodeword18(System.Drawing.Graphics,System.Int32,System.Int32@,System.Int32)">
            <summary>
            
            </summary>
            <param name="g"></param>
            <param name="codeword"></param>
            <param name="current_column"></param>
            <param name="current_row"></param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.OutPaintCode">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.CalculateErrorCorrection(System.Int32)">
            <summary>
            
            </summary>
            <param name="dest"></param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.CheckText(System.String)">
            <summary>
            Проверяет текстовую строку на допустимость в штрихкоде
            </summary>
            <param name="text"></param>
        </member>
        <member name="M:Keysystems.Barcodes.BarCodePDF417.GetBarcodeImage">
            <summary>
            Возвращает сгенерированную картинку с штрихкодом
            </summary>
            <returns></returns>
        </member>
        <member name="P:Keysystems.Barcodes.BarCodePDF417.TextData">
            <summary>
            ASCII представление кодируемой строки
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCodePDF417.CodeColumns">
            <summary>
            Количество столбцов данных в штрихкоде
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCodePDF417.CodeRows">
            <summary>
            Количество строк данных в штрихкоде
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCodePDF417.ErrorLevel">
            <summary>
            Установленный или вычисленный уровень коррекции ошибок
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCodePDF417.MaxSquare">
            <summary>
            
            </summary>
        </member>
        <member name="P:Keysystems.Barcodes.BarCodePDF417.CodeHeight">
            <summary>
            
            </summary>
        </member>
    </members>
</doc>
